Mail archive
alpine-aports

[alpine-aports] [PATCH] main/gettext: upgrade to 0.9.17 and some cleanups

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 25 Jan 2016 10:25:49 +0200

- unneded dependencies and patches are removed
- add all optional dependencies as described in /DEPENDENCIES file
- shared libs moved to -libs and asprintf moved to -asprintf subpkg
---
 main/gettext/APKBUILD                           | 63 +++++++++----------------
 main/gettext/gettext-0.15-expat-no-dlopen.patch | 36 --------------
 main/gettext/gettext-0.17-gnuinfo.patch         | 16 -------
 main/gettext/gettext-0.17-open-args.patch       | 25 ----------
 main/gettext/gettext-uclibc.patch               | 11 -----
 5 files changed, 22 insertions(+), 129 deletions(-)
 delete mode 100644 main/gettext/gettext-0.15-expat-no-dlopen.patch
 delete mode 100644 main/gettext/gettext-0.17-gnuinfo.patch
 delete mode 100644 main/gettext/gettext-0.17-open-args.patch
 delete mode 100644 main/gettext/gettext-uclibc.patch
diff --git a/main/gettext/APKBUILD b/main/gettext/APKBUILD
index bd91e7b..603cd19 100644
--- a/main/gettext/APKBUILD
+++ b/main/gettext/APKBUILD
_at_@ -1,44 +1,26 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Carlo Landmeter <clandmeter_at_gmail.com>
 pkgname=gettext
-pkgver=0.19.6
-pkgrel=3
+pkgver=0.19.7
+pkgrel=0
 pkgdesc="GNU locale utilities"
 url="http://www.gnu.org/software/gettext/gettext.html"
 arch="all"
-license='GPL'
+license="GPL"
 depends=
-depends_dev="expat-dev ncurses-dev libxml2-dev"
-makedepends="$depends_dev bash"
-source="ftp://ftp.gnu.org/gnu/gettext/gettext-$pkgver.tar.xz
-	"
-subpackages="$pkgname-doc $pkgname-dev libintl $pkgname-lang"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-
-prepare() {
-	cd "$_builddir"
-	for i in ../*.patch; do
-		[ -r "$i" ] || continue
-		msg "Applying $i..."
-		patch -p1 < $i || return 1
-	done
-        # fix eglibc-2.16+ build issue
-        sed -i -e '/gets is a/d' \
-		gettext-tools/gnulib-lib/stdio.in.h \
-		gettext-tools/libgettextpo/stdio.in.h \
-		gettext-runtime/gnulib-lib/stdio.in.h \
-		|| return 1
-}
+makedepends="perl ncurses-dev libxml2-dev glib-dev libcroco-dev libunistring-dev"
+source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang libintl $pkgname-asprintf $pkgname-libs"
 
+_builddir="$srcdir"/$pkgname-$pkgver
 build() {
 	cd "$_builddir"
-	LIBS="-lrt" \
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
-		--mandir=/usr/share/man \
 		--enable-threads=posix \
+		--with-pic \
 		--disable-java \
 		--disable-static \
 		|| return 1
_at_@ -47,24 +29,23 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make -j1 DESTDIR="$pkgdir/" install
+	make -j1 DESTDIR="$pkgdir" install || return 1
+	rm "$pkgdir"/usr/lib/charset.alias
 }
 
 libintl() {
-	replaces="gettext"
+	pkgdesc="GNU gettext runtime library"
 	mkdir -p "$subpkgdir"/usr/lib
+	mv "$pkgdir"/usr/lib/libintl.so.* "$subpkgdir"/usr/lib
+	chmod +x "$subpkgdir"/usr/lib/libintl.so.*
+}
 
-	rm -rf "$pkgdir"/usr/lib/charset.alias
-	rmdir -p "$pkgdir"/usr/lib 2>/dev/null
-
-	if [ "$ALPINE_LIBC" != "eglibc" ]; then
-		mv "$pkgdir"/usr/lib/libintl.so.* \
-			"$subpkgdir"/usr/lib || return 1
-	fi
-
-	return 0
+asprintf() {
+	pkgdesc="GNU gettext asprintf library"
+	mkdir -p "$subpkgdir"/usr/lib
+	mv "$pkgdir"/usr/lib/libasprintf.so.* "$subpkgdir"/usr/lib
 }
 
-md5sums="69d79254ee3b41df23f41c2f4fd720d9  gettext-0.19.6.tar.xz"
-sha256sums="9b95816620fd1168cb4eeca0e9dc0ffd86e864fc668f76f5e37cc054d6982e51  gettext-0.19.6.tar.xz"
-sha512sums="ce30735dea271ed04312a7b06dccf4294658c9776866ff4eb2f3df412154e122a8812af2330aa729d5435fa2ced9da2296a74ec8ef1ad7b0eb024225a8eaaca1  gettext-0.19.6.tar.xz"
+md5sums="f81e50556da41b44c1d59ac93474dca5  gettext-0.19.7.tar.xz"
+sha256sums="378fa86a091cec3acdece3c961bb8d8c0689906287809a8daa79dc0c6398d934  gettext-0.19.7.tar.xz"
+sha512sums="a8ed47fc38d8730ccd46bfa6620c0b42efcfcbfa39fa94ddecb2fa3b62b377827f29e702dc327fbc682b98534e1f54783d21a3bb5ba629f6358be00bfb4da009  gettext-0.19.7.tar.xz"
diff --git a/main/gettext/gettext-0.15-expat-no-dlopen.patch b/main/gettext/gettext-0.15-expat-no-dlopen.patch
deleted file mode 100644
index 4630d1d..0000000
--- a/main/gettext/gettext-0.15-expat-no-dlopen.patch
+++ /dev/null
_at_@ -1,36 +0,0 @@
-Add support for expat-2 to xgettext by linking it at build time rather than
-at runtime using dlopen
-
-http://bugs.gentoo.org/146211
-
---- gettext-0.15/gettext-tools/configure
-+++ gettext-0.15/gettext-tools/configure
-_at_@ -44267,19 +44266,6 @@
- 
- 
- 
--case "$host_os" in
--  linux*)
--
--cat >>confdefs.h <<\_ACEOF
--#define DYNLOAD_LIBEXPAT 1
--_ACEOF
--
--    LIBEXPAT="-ldl"
--    LTLIBEXPAT="-ldl"
--
--
--    ;;
--  *)
- 
- 
- 
-_at_@ -44786,8 +44772,6 @@
- 
- 
- 
--    ;;
--esac
- 
-  # If set to t, that means we are running in a shell under Emacs.
-  # If you have an Emacs named "t", then use the full path.
diff --git a/main/gettext/gettext-0.17-gnuinfo.patch b/main/gettext/gettext-0.17-gnuinfo.patch
deleted file mode 100644
index 2439166..0000000
--- a/main/gettext/gettext-0.17-gnuinfo.patch
+++ /dev/null
_at_@ -1,16 +0,0 @@
-Fix broken Info file produced by texinfo 4.11
-http://bugs.gentoo.org/249167
-
---- gettext-0.17/gettext-tools/doc/gettext.info
-+++ gettext-0.17/gettext-tools/doc/gettext.info
-_at_@ -1,7 +1,8 @@
-+This is gettext.info, produced by makeinfo version 4.13 from
-+gettext.texi.
-+
- INFO-DIR-SECTION GNU Gettext Utilities
- START-INFO-DIR-ENTRY
--This is gettext.info, produced by makeinfo version 4.11 from gettext.texi.
--
- * gettext: (gettext).                          GNU gettext utilities.
- * autopoint: (gettext)autopoint Invocation.    Copy gettext infrastructure.
- * envsubst: (gettext)envsubst Invocation.      Expand environment variables.
diff --git a/main/gettext/gettext-0.17-open-args.patch b/main/gettext/gettext-0.17-open-args.patch
deleted file mode 100644
index 6291f00..0000000
--- a/main/gettext/gettext-0.17-open-args.patch
+++ /dev/null
_at_@ -1,25 +0,0 @@
-2007-11-07  Jim Meyering  <meyering_at_redhat.com>
-            Bruno Haible  <bruno_at_clisp.org>
-
-	* write-catalog.c (msgdomain_list_print): Fix open() call.
-
---- a/gettext-tools/src/write-catalog.c	7 Oct 2007 19:35:31 -0000	1.4
-+++ b/gettext-tools/src/write-catalog.c	7 Nov 2007 11:43:15 -0000
-_at_@ -1,5 +1,5 @@
- /* GNU gettext - internationalization aids
--   Copyright (C) 1995-1998, 2000-2006 Free Software Foundation, Inc.
-+   Copyright (C) 1995-1998, 2000-2007 Free Software Foundation, Inc.
- 
-    This program is free software: you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-_at_@ -220,7 +220,9 @@
-       /* Open the output file.  */
-       if (!to_stdout)
- 	{
--	  fd = open (filename, O_WRONLY | O_CREAT);
-+	  fd = open (filename, O_WRONLY | O_CREAT | O_TRUNC,
-+		     /* 0666 in portable POSIX notation: */
-+		     S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP | S_IROTH | S_IWOTH);
- 	  if (fd < 0)
- 	    {
- 	      const char *errno_description = strerror (errno);
diff --git a/main/gettext/gettext-uclibc.patch b/main/gettext/gettext-uclibc.patch
deleted file mode 100644
index d797c1c..0000000
--- a/main/gettext/gettext-uclibc.patch
+++ /dev/null
_at_@ -1,11 +0,0 @@
---- ./gettext-tools/gnulib-lib/spawn.in.h.orig
-+++ ./gettext-tools/gnulib-lib/spawn.in.h
-_at_@ -31,7 +31,7 @@
- 
- /* Get definitions of 'struct sched_param' and 'sigset_t'.
-    But avoid namespace pollution on glibc systems.  */
--#ifndef __GLIBC__
-+#if !defined(__GLIBC__) || defined(__UCLIBC__)
- # include <sched.h>
- # include <signal.h>
- #endif
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jan 25 2016 - 10:25:49 GMT